### Method

# Gom Repository automatic_migrate_sync

#### Declaration [src]

    gboolean
    gom_repository_automatic_migrate_sync (
      GomRepository* repository,
      guint version,
      GList* object_types,
      GError** error
    )

#### Description [src]

Performs an automatic migration on the underlying database. For each of the `GType` passed in `object_types`, the table will be created if necessary, and each of the columns corresponding to properties will be added if needed.

#### Parameters

`version`

  Type: `guint`

  The version to migrate to.

`object_types`

  Type: A list of `GType`

  A `GList` of `GType`.

  The instance takes ownership of the data container, but not the data inside it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` in case of success.